/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Water entity File
#ifndef _EENNEMYFISH_H
#define _EENNEMYFISH_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramètres de l'ennemi
// TYPE : ennemi
// p1 et p2 : distx vitesse
// Autres :

class eFish : public CEntity
{
   public:
   	eFish();
   	virtual ~eFish();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
				   
	public:
	   CSprite spr;          //Sprite du personnage
	   
	   int distx;            //Distance x parcourue avant de changer de direction
	   int vitesse;          //Vitesse du personnage
	   bool sensH;           //Sens horizontal de déplacement
	   int distanceX;
};
#endif
